org.apache.coyote.http11

## Class AbstractHttp11JsseProtocol<S>

- java.lang.Object
- - org.apache.coyote.AbstractProtocol<S>
  - - org.apache.coyote.http11.AbstractHttp11Protocol<S>
    - - org.apache.coyote.http11.AbstractHttp11JsseProtocol<S>

- All Implemented Interfaces:
    MBeanRegistration, ProtocolHandler
  Direct Known Subclasses:
    Http11NioProtocol, Http11Protocol

      public abstract class AbstractHttp11JsseProtocol<S>
      extends AbstractHttp11Protocol<S>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

      `AbstractProtocol.AbstractConnectionHandler<S,P extends Processor<S>>, AbstractProtocol.RecycledProcessors<P extends Processor<S>,S>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SSLImplementation` | `sslImplementation`

    - ### Fields inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `sm`

    - ### Fields inherited from class org.apache.coyote.AbstractProtocol

      `adapter, clientCertProvider, domain, endpoint, mserver, oname, processorCache, rgOname, tpOname`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractHttp11JsseProtocol()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAlgorithm()`
    `String` | `getAllowUnsafeLegacyRenegotiation()`
    `String` | `getCiphers()`
    `String` | `getClientAuth()`
    `String` | `getCrlFile()`
    `String` | `getKeyAlias()`
    `String` | `getKeyPass()`
    `String` | `getKeystoreFile()`
    `String` | `getKeystorePass()`
    `String` | `getKeystoreProvider()`
    `String` | `getKeystoreType()`
    `String` | `getSessionCacheSize()`
    `String` | `getSessionTimeout()`
    `String` | `getSslImplementationName()`
    `String` | `getSslProtocol()`
    `String` | `getTrustMaxCertLength()`
    `String` | `getTruststoreAlgorithm()`
    `String` | `getTruststoreFile()`
    `String` | `getTruststorePass()`
    `String` | `getTruststoreProvider()`
    `String` | `getTruststoreType()`
    `void` | `init()` Initialise the protocol.
    `void` | `setAlgorithm(String s)`
    `void` | `setAllowUnsafeLegacyRenegotiation(String s)`
    `void` | `setCiphers(String s)`
    `void` | `setClientAuth(String s)`
    `void` | `setCrlFile(String s)`
    `void` | `setKeyAlias(String s)`
    `void` | `setKeyPass(String s)`
    `void` | `setKeystoreFile(String s)`
    `void` | `setKeystorePass(String s)`
    `void` | `setKeystoreProvider(String s)`
    `void` | `setKeystoreType(String s)`
    `void` | `setSessionCacheSize(String s)`
    `void` | `setSessionTimeout(String s)`
    `void` | `setSslImplementationName(String s)`
    `void` | `setSslProtocol(String s)`
    `void` | `setTrustMaxCertLength(String s)`
    `void` | `setTruststoreAlgorithm(String a)`
    `void` | `setTruststoreFile(String f)`
    `void` | `setTruststorePass(String p)`
    `void` | `setTruststoreProvider(String t)`
    `void` | `setTruststoreType(String t)`

    - ### Methods inherited from class org.apache.coyote.http11.AbstractHttp11Protocol

      `addAllowedTrailerHeader, configureProcessor, getAllowedTrailerHeaders, getAllowedTrailerHeadersAsSet, getCompressableMimeType, getCompressableMimeTypes, getCompressibleMimeType, getCompression, getCompressionMinSize, getConnectionUploadTimeout, getDisableUploadTimeout, getMaxExtensionSize, getMaxHttpHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSwallowSize, getMaxTrailerSize, getNoCompressionUserAgents, getProtocolName, getRestrictedUserAgents, getSecure, getServer, getSocketBuffer, getUpgradeAsyncWriteBufferSize, isSSLEnabled, removeAllowedTrailerHeader, setAllowedTrailerHeaders, setCompressableMimeType, setCompressableMimeTypes, setCompressibleMimeType, setCompression, setCompressionMinSize, setConnectionUploadTimeout, setDisableUploadTimeout, setMaxExtensionSize, setMaxHttpHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSwallowSize, setMaxTrailerSize, setNoCompressionUserAgents, setRestrictedUserAgents, setSecure, setServer, setSocketBuffer, setSSLEnabled, setUpgradeAsyncWriteBufferSize`

    - ### Methods inherited from class org.apache.coyote.AbstractProtocol

      `destroy, getAdapter, getAddress, getBacklog, getClientCertProvider, getConnectionCount, getConnectionTimeout, getDomain, getExecutor, getHandler, getKeepAliveTimeout, getLocalPort, getLog, getMaxConnections, getMaxCookieCount, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getNamePrefix, getObjectName, getPort, getProcessorCache, getProperty, getSoLinger, getSoTimeout, getTcpNoDelay, getThreadPriority, isAprRequired, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setAdapter, setAddress, setBacklog, setClientCertProvider, setConnectionTimeout, setExecutor, setKeepAliveTimeout, setMaxConnections, setMaxCookieCount, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setProcessorCache, setProperty, setSoLinger, setSoTimeout, setTcpNoDelay, setThreadPriority, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sslImplementation

          protected SSLImplementation sslImplementation

  - ### Constructor Detail

    - #### AbstractHttp11JsseProtocol

          public AbstractHttp11JsseProtocol()

  - ### Method Detail

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public void setAlgorithm(String s)

    - #### getClientAuth

          public String getClientAuth()

    - #### setClientAuth

          public void setClientAuth(String s)

    - #### getKeystoreFile

          public String getKeystoreFile()

    - #### setKeystoreFile

          public void setKeystoreFile(String s)

    - #### getKeystorePass

          public String getKeystorePass()

    - #### setKeystorePass

          public void setKeystorePass(String s)

    - #### getKeystoreType

          public String getKeystoreType()

    - #### setKeystoreType

          public void setKeystoreType(String s)

    - #### getKeystoreProvider

          public String getKeystoreProvider()

    - #### setKeystoreProvider

          public void setKeystoreProvider(String s)

    - #### getSslProtocol

          public String getSslProtocol()

    - #### setSslProtocol

          public void setSslProtocol(String s)

    - #### getCiphers

          public String getCiphers()

    - #### setCiphers

          public void setCiphers(String s)

    - #### getKeyAlias

          public String getKeyAlias()

    - #### setKeyAlias

          public void setKeyAlias(String s)

    - #### getKeyPass

          public String getKeyPass()

    - #### setKeyPass

          public void setKeyPass(String s)

    - #### setTruststoreFile

          public void setTruststoreFile(String f)

    - #### getTruststoreFile

          public String getTruststoreFile()

    - #### setTruststorePass

          public void setTruststorePass(String p)

    - #### getTruststorePass

          public String getTruststorePass()

    - #### setTruststoreType

          public void setTruststoreType(String t)

    - #### getTruststoreType

          public String getTruststoreType()

    - #### setTruststoreProvider

          public void setTruststoreProvider(String t)

    - #### getTruststoreProvider

          public String getTruststoreProvider()

    - #### setTruststoreAlgorithm

          public void setTruststoreAlgorithm(String a)

    - #### getTruststoreAlgorithm

          public String getTruststoreAlgorithm()

    - #### setTrustMaxCertLength

          public void setTrustMaxCertLength(String s)

    - #### getTrustMaxCertLength

          public String getTrustMaxCertLength()

    - #### setCrlFile

          public void setCrlFile(String s)

    - #### getCrlFile

          public String getCrlFile()

    - #### setSessionCacheSize

          public void setSessionCacheSize(String s)

    - #### getSessionCacheSize

          public String getSessionCacheSize()

    - #### setSessionTimeout

          public void setSessionTimeout(String s)

    - #### getSessionTimeout

          public String getSessionTimeout()

    - #### setAllowUnsafeLegacyRenegotiation

          public void setAllowUnsafeLegacyRenegotiation(String s)

    - #### getAllowUnsafeLegacyRenegotiation

          public String getAllowUnsafeLegacyRenegotiation()

    - #### getSslImplementationName

          public String getSslImplementationName()

    - #### setSslImplementationName

          public void setSslImplementationName(String s)

    - #### init

          public void init()
                    throws Exception

      Description copied from interface: `ProtocolHandler`
      Initialise the protocol.
      Specified by:
        `init` in interface `ProtocolHandler`
      Overrides:
        `init` in class `AbstractProtocol<S>`
      Throws:
        `Exception`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.